Package org.apache.torque.generator.maven

# Class TorqueGeneratorMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.torque.generator.maven.TorqueGeneratorMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="generate", defaultPhase=GENERATE_SOURCES) public class TorqueGeneratorMojo extends org.apache.maven.plugin.AbstractMojo
Executes a unit of generation within the torque generator. $Id: TorqueGeneratorMojo.java 1917244 2024-04-21 13:54:24Z tv $

- ## Field Summary

  ### Fields inherited from interface org.apache.maven.plugin.Mojo

  `ROLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TorqueGeneratorMojo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Configures and runs the Torque generator.
  `void`
  `setAddDebuggingInfoToOutput(boolean addDebuggingInfoToOutput)`
  Sets whether debugging information should be added to the output.
  `void`
  `setCombineFiles(Boolean combineFiles)`
  Sets whether all source files should be combined into one single graph-
  `void`
  `setConfigDir(File configDir)`
  `void`
  `setConfigPackage(String configPackage)`
  `void`
  `setDefaultOutputDir(File outputDir)`
  Sets the default output directory for generated files.
  `void`
  `setDefaultOutputDirUsage(String defaultOutputDirUsage)`
  Sets the usage for the default output dir.
  `void`
  `setDefaultOutputEncoding(String defaultOutputEncoding)`
  Sets the encoding which should be used for the files which do not have an output encoding set in the templates.
  `void`
  `setJarFile(String jarFile)`
  The path to the jar file to use.
  `void`
  `setLoglevel(String loglevel)`
  Sets the Loglevel to use in the generation process.
  `void`
  `setOptions(Map<String,String> options)`
  Sets additional options which can be added to the generation process.
  `void`
  `setOptionsFile(File optionsFile)`
  Sets a options file by which generation parameters can be set.
  `void`
  `setOutputDir(String outputDirKey, String outputDir)`
  Sets the target directory for files which are not generated each time anew.
  `void`
  `setOutputDirUsage(String outputDirKey, String outputDirUsage)`
  Sets the usage for an output directory.
  `void`
  `setOverrideConfigDir(File overrideConfigDir)`
  Sets the config directory overriding the template settings.
  `void`
  `setOverrideConfigPackage(String overrideConfigPackage)`
  Sets the config package of the project overriding the settings.
  `void`
  `setPackaging(String packaging)`
  Sets the packaging.
  `void`
  `setProject(org.apache.maven.project.MavenProject project)`
  Sets the maven project this mojo runs in.
  `void`
  `setProjectRootDir(File projectRootDir)`
  Sets the root directory of the project.
  `void`
  `setRunOnlyOnSourceChange(boolean runOnlyOnSourceChange)`
  Sets whether the generator should only run if one of the source files changes.
  `void`
  `setSourceDir(File sourceDir)`
  Sets the directory in which the source files are located.
  `void`
  `setSourceExcludes(Set<String> sourceExcludes)`
  Sets the pattern which files are excluded in the generation process.
  `void`
  `setSourceIncludes(Set<String> sourceIncludes)`
  Sets the pattern which files are included in the generation process.
  `void`
  `setWorkDir(File workDir)`
  Sets the work dir for e.g. merging sources.

  ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

  `getLog, getPluginContext, setLog, setPluginContext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TorqueGeneratorMojo

    public TorqueGeneratorMojo()

- ## Method Details

  - ### execute

    public void execute() throws org.apache.maven.plugin.MojoExecutionException
    Configures and runs the Torque generator.
    Throws:
      `org.apache.maven.plugin.MojoExecutionException`

  - ### setPackaging

    public void setPackaging(String packaging)
    Sets the packaging.
    Parameters:
      `packaging` - the packaging, either "jar" or "directory"

  - ### setProjectRootDir

    public void setProjectRootDir(File projectRootDir)
    Sets the root directory of the project.
    Parameters:
      `projectRootDir` - the project root Directory.

  - ### setConfigDir

    public void setConfigDir(File configDir)

  - ### setConfigPackage

    public void setConfigPackage(String configPackage)

  - ### setDefaultOutputDir

    public void setDefaultOutputDir(File outputDir)
    Sets the default output directory for generated files.
    Parameters:
      `outputDir` - the default output directory, not null.

  - ### setOutputDir

    public void setOutputDir(String outputDirKey, String outputDir)
    Sets the target directory for files which are not generated each time anew.
    Parameters:
      `outputDirKey` - the key value
      `outputDir` - the target directory, or null to use the default.

  - ### setJarFile

    public void setJarFile(String jarFile)
    The path to the jar file to use.
    Parameters:
      `jarFile` - the jar file, or null.

  - ### setProject

    public void setProject(org.apache.maven.project.MavenProject project)
    Sets the maven project this mojo runs in.
    Parameters:
      `project` - the maven project this mojo runs in.

  - ### setDefaultOutputDirUsage

    public void setDefaultOutputDirUsage(String defaultOutputDirUsage)
    Sets the usage for the default output dir.
    Parameters:
      `defaultOutputDirUsage` - the new usage, not null.

  - ### setOutputDirUsage

    public void setOutputDirUsage(String outputDirKey, String outputDirUsage)
    Sets the usage for an output directory.
    Parameters:
      `outputDirKey` - key for the output directory, not null.
      `outputDirUsage` - the new usage, not null.

  - ### setSourceDir

    public void setSourceDir(File sourceDir)
    Sets the directory in which the source files are located.
    Parameters:
      `sourceDir` - the directory in which the source files are located.

  - ### setSourceIncludes

    public void setSourceIncludes(Set<String> sourceIncludes)
    Sets the pattern which files are included in the generation process.
    Parameters:
      `sourceIncludes` - a list containing the include patterns, or null if no include pattern should be used.

  - ### setSourceExcludes

    public void setSourceExcludes(Set<String> sourceExcludes)
    Sets the pattern which files are excluded in the generation process.
    Parameters:
      `sourceExcludes` - a list containing the exclude patterns, or null if no exclude pattern should be used.

  - ### setOverrideConfigDir

    public void setOverrideConfigDir(File overrideConfigDir)
    Sets the config directory overriding the template settings. If set, the settings of this directory are used as "child" and the "normal" settings are used as "parent".
    Parameters:
      `overrideConfigDir` - the config directory overriding the template settings, or null if the template settings will not be overridden.

  - ### setOverrideConfigPackage

    public void setOverrideConfigPackage(String overrideConfigPackage)
    Sets the config package of the project overriding the settings. If set, the settings of this directory are used as "child" and the "normal" settings are used as "parent".
    Parameters:
      `overrideConfigPackage` - the config package of the project overriding the settings, or null if the template settings will not be overridden.

  - ### setLoglevel

    public void setLoglevel(String loglevel)
    Sets the Loglevel to use in the generation process.
    Parameters:
      `loglevel` - the loglevel, must be one of trace, debug, info, warn or error, or null if the loglevel defined in the templates should be used.

  - ### setDefaultOutputEncoding

    public void setDefaultOutputEncoding(String defaultOutputEncoding)
    Sets the encoding which should be used for the files which do not have an output encoding set in the templates.
    Parameters:
      `defaultOutputEncoding` - the default output encoding, or null to use the generator default (the platform default encoding).

  - ### setOptions

    public void setOptions(Map<String,String> options)
    Sets additional options which can be added to the generation process. These options overrides existing options in the templates.
    Parameters:
      `options` - the overriding options, or null if no options should be overridden.

  - ### setCombineFiles

    public void setCombineFiles(Boolean combineFiles)
    Sets whether all source files should be combined into one single graph-
    Parameters:
      `combineFiles` - whether the source file should be combined.

  - ### setWorkDir

    public void setWorkDir(File workDir)
    Sets the work dir for e.g. merging sources.
    Parameters:
      `workDir` - the new workdir.

  - ### setOptionsFile

    public void setOptionsFile(File optionsFile)
    Sets a options file by which generation parameters can be set.
    Parameters:
      `optionsFile` - the path to the file containing the generation options.

  - ### setAddDebuggingInfoToOutput

    public void setAddDebuggingInfoToOutput(boolean addDebuggingInfoToOutput)
    Sets whether debugging information should be added to the output.
    Parameters:
      `addDebuggingInfoToOutput` - true if debugging information should be added to the output, false otherwise.

  - ### setRunOnlyOnSourceChange

    public void setRunOnlyOnSourceChange(boolean runOnlyOnSourceChange)
    Sets whether the generator should only run if one of the source files changes. The default value is false.
    Parameters:
      `runOnlyOnSourceChange` - true if the generator should only run if one of the source files changes, false if it should always run irrespective of changes in the source files.